module Refinery
  module GalleryLinks
    class GalleryLinksController < ::ApplicationController

      before_filter :find_all_gallery_links
      before_filter :find_page

      def index
        # you can use meta fields from your model instead (e.g. browser_title)
        # by swapping @page for @gallery_link in the line below:
        present(@page)
      end

      def show
        @gallery_link = GalleryLink.find(params[:id])

        # you can use meta fields from your model instead (e.g. browser_title)
        # by swapping @page for @gallery_link in the line below:
        present(@page)
      end

    protected

      def find_all_gallery_links
        @gallery_links = GalleryLink.order('position ASC')
        logger.debug "Found #{@gallery_links.length} galleries..."
      end

      def find_page
        @page = ::Refinery::Page.where(
          :link_url => "#{ENV['RAILS_RELATIVE_URL_ROOT']}/gallery_links")
          .first
      end

    end
  end
end
